For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Group by ID

Get group by ID

get

This method returns the group that matches the entered ID.

Authorizations
X-Ledger-API-KeystringRequired

If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, see step 5 of the get started documentation.

X-Ledger-API-UserstringRequired

(required) Username of a registered API User

Path parameters
group_idintegerRequired

group's id

Responses
200

Group object

application/json
created_byintegerRequiredExample: 5
created_onstring · date-timeRequired
descriptionstringRequiredExample: group of trusted validators
idintegerRequired
last_requestinteger · nullableOptionalDefault: nullExample: 3
membersinteger[]RequiredExample: [11,12]
namestringRequiredExample: validators
statusstring · enumRequiredExample: ACTIVEPossible values:
get/groups/{group_id}
GET /groups/{group_id} HTTP/1.1
X-Ledger-API-Key: YOUR_API_KEY
X-Ledger-API-User: YOUR_API_KEY
Accept: */*
{
  "created_by": 5,
  "created_on": "2026-01-01T00:00:00.000Z",
  "description": "group of trusted validators",
  "id": 1,
  "last_request": 3,
  "members": [
    11,
    12
  ],
  "name": "validators",
  "status": "ACTIVE"
}

Last updated